# Module: `html.widgets.widget_string`

StringWidget class.

Represents a unicode string using a widget.

## 4 Classes

class `IPython.html.widgets.widget_string.``HTMLWidget`(**kwargs)

  Bases: `IPython.html.widgets.widget_string._StringWidget`

class `IPython.html.widgets.widget_string.``LatexWidget`(**kwargs)

  Bases: `IPython.html.widgets.widget_string._StringWidget`

class `IPython.html.widgets.widget_string.``TextareaWidget`(**kwargs)

  Bases: `IPython.html.widgets.widget_string._StringWidget`

class `IPython.html.widgets.widget_string.``TextWidget`(**kwargs)

  Bases: `IPython.html.widgets.widget_string._StringWidget`

  `__init__`(**kwargs)
  `on_submit`(callback, remove=False)

    (Un)Register a callback to handle text submission.

    Triggered when the user clicks enter.

    Parameters:

    callback: callable

    > Will be called with exactly one argument: the Widget instance

    remove: bool (optional)

    > Whether to unregister the callback